Bug 1400930 - RT kernel panics with dm-multipath enabled
Summary: RT kernel panics with dm-multipath enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Clark Williams
QA Contact: Lin Li
URL:
Whiteboard:
Depends On: 1389215
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-02 10:44 UTC by Marcel Kolaja
Modified: 2017-01-17 18:25 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the device mapper (DM) subsystem was not notified that the real-time kernel changes the way preemption works with spinlocks. This caused a kernel panic when the dm-multipath kernel module was loaded because the interrupt request (IRQ) check was invalid on the real-time kernel. This check has been corrected enabling the system to boot correctly with the dm-multipath module enabled.
Clone Of: 1389215
Environment:
Last Closed: 2017-01-17 18:25:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0091 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-01-17 22:56:06 UTC

Description Marcel Kolaja 2016-12-02 10:44:31 UTC
This bug has been copied from bug #1389215 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 3 Clark Williams 2016-12-13 20:08:43 UTC
commit b984063401e0eddbc2c6fc0daf6a5257f7e4cba4 added to RT 7.3.z tree (cherry-picked from upstream commit: fef016306919048a4db85c43aad09593efb3af4b) and is in kernel-rt-3.10.0-514.5.1.rt56.el7 and higher.

Comment 8 errata-xmlrpc 2017-01-17 18:25:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0091.html


Note You need to log in before you can comment on or make changes to this bug.